#include STDIO.H

#define WAHR 1
#define FALSCH 0
#define GR 8190
#define GRPL 8191

char flags[GRPL];
int  i,primz,k,anzahl,iter;

main()
{
   printf("10 Iterationene\nreturn druecken");
   getchar();

   for (iter=1; iter<=10; iter++) {
      anzahl=0;
      for (i=0; i<=GR; i++)
         flags[i] = WAHR;
      for (i=0; i<=GR; i++) {
         if (flags[i]) {
            primz=i+i+3;
            k=i+primz;
            while (k<=GR) {
               flags[k]=FALSCH;
               k += primz;
            }
            anzahl++;
         }
      }
   }
   printf("\7\n%d Primzahlen.\n",anzahl);
}

